IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_212_BEBEK_COCUK_IZLEM_PSIKOSOSYAL_IZLEM_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_212_BEBEK_COCUK_IZLEM_PSIKOSOSYAL_IZLEM_KAYIT
GO

CREATE PROCEDURE [dbo].[SPUSS_212_BEBEK_COCUK_IZLEM_PSIKOSOSYAL_IZLEM_KAYIT] 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_212_BEBEK_COCUK_IZLEM_PSIKOSOSYAL_IZLEM_KAYIT 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


SELECT 
 USS212.ID USSDIGER_ID
,USS212.HDOSYAID
,USS212.HMUAYENEID
,USS212.HKIMLIKID
,USS212.HYATISID,

USS212.GELISIM_TABLOSU_BILGILERININ_SORGULANMASI AS GELISIM_TABLOSU_BILGILERININ_SORGULANMASI_ID,
TGELISIM_TABLOSU_BILGILERININ_SORGULANMASI.AD AS GELISIM_TABLOSU_BILGILERININ_SORGULANMASI_ADI,

USS212.BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER AS BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER_ID,
TBEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER.AD AS BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER_ADI,

USS212.EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI AS EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI_ID,
TEBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI.AD AS EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI_ADI,

USS212.BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER AS BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER_ID,
TBEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER.AD AS BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER_ADI,

USS212.BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE AS BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE_ID,
TBEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE.AD AS BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE_ADI,

USS212.BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI AS BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI_ID,
TBEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI.AD AS BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI_ADI,

HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK

INTO #TMPUSSDIGER 

FROM USS212_BEBEK_COCUK_IZLEM_PSIKOSOSYAL_IZLEM AS USS212
INNER JOIN HDOSYA ON HDOSYA.HDOSYAID=USS212.HDOSYAID
LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
LEFT JOIN	SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID

LEFT JOIN 
(
SELECT 'NORMAL GELİŞİM GÖSTERİYOR' AS AD, 1 AS ID
UNION
SELECT 'NÖROMOTOR GELİŞİM GERİLİĞİ MEVCUT (SESE TEPKI VERMEME, YÜZE BAKMAMA, PARLAK CİSMİ İZLEMEME, ALGILAMAMA, BAŞINI TUTAMAMA, ANNEYİ TANIMAMA, DESTEKSİZ OTURAMAMA, TEK KELİMELİK CÜMLE KURAMAMA, YÜRÜYEMEME, ÇİFT KELİMELİK CÜMLE KURAMAMA, MERDİVEN ÇIKAMAMA, MER)', 3
UNION
SELECT 'OTİZM BULGULARI MEVCUT (18 AYDAN İTİBAREN İSMİ SÖYLENDİĞİ ZAMAN BAKMAMA, GÖZ KONTAĞI KURMAMA, PARMAKLA GÖSTERİLEN NESNEYE BAKMAMA)', 4
) TGELISIM_TABLOSU_BILGILERININ_SORGULANMASI ON TGELISIM_TABLOSU_BILGILERININ_SORGULANMASI.ID=USS212.GELISIM_TABLOSU_BILGILERININ_SORGULANMASI

LEFT JOIN 
(
SELECT 'AİLENİN DÜZENLİ GELİRİNİN BULUNMAMASI' AS AD, 1 AS ID
UNION ALL
SELECT 'ÇOCUĞUN UYGUN KİLO ALAMAMASI', 10
UNION ALL
SELECT 'ANEMİ (BESLENME YETERSİZLİĞİ BULGUSU OLARAK)', 11
UNION ALL
SELECT 'DİĞER BESLENME YETERSİZLİĞİ BULGULARI', 12
UNION ALL
SELECT 'ANNENİN DEPRESYON ŞÜPHESİ', 13
UNION ALL
SELECT 'ANNENİN ANKSİYETE BOZUKLUĞU ŞÜPHESİ', 14
UNION ALL
SELECT 'ANNEDE ZEKÂ GERİLİĞİ ŞÜPHESİ', 15
UNION ALL
SELECT 'ANNEDE PSİKOTİK BOZUKLUK (ŞİZOFRENİ, VB.) ŞÜPHESİ', 16
UNION ALL
SELECT 'ÇOCUĞUN VÜCUDUNDA FİZİKSEL İSTİSMAR YA DA İHMAL BELİRTİSİ', 17
UNION ALL
SELECT 'AİLE İÇİ ŞİDDET', 18
UNION ALL
SELECT 'BABANIN DEPRESYON ŞÜPHESİ', 19
UNION ALL
SELECT 'AİLENİN TEMEL İHTİYAÇLARINI KARŞILAYAMAMASI', 2
UNION ALL
SELECT 'BABANIN ANKSİYETE BOZUKLUĞU ŞÜPHESİ', 20
UNION ALL
SELECT 'BABADA ZEKÂ GERİLİĞİ ŞÜPHESİ', 21
UNION ALL
SELECT 'BABADA PSİKOTİK BOZUKLUK (ŞİZOFRENİ VB.) ŞÜPHESİ', 22
UNION ALL
SELECT 'AİLEDE DOWN SENDROMU', 23
UNION ALL
SELECT 'GEBELİKTE, ANNENİN UYGUN KİLO ALAMAMASI', 24
UNION ALL
SELECT 'GEBELİKTE, ANNEDE FİZİKSEL İSTİSMAR BULGUSU', 25
UNION ALL
SELECT 'ANNEDE MADDE BAĞIMLILIĞI', 26
UNION ALL
SELECT 'BABADA MADDE BAĞIMLILIĞI', 27
UNION ALL
SELECT 'GEBE/ANNENİN SİGARA KULLANIMI', 3
UNION ALL
SELECT 'GEBEDE DEPRESYON ŞÜPHESİ', 38
UNION ALL
SELECT 'BILINEN RİSK FAKTÖRÜ YOK', 39
UNION ALL
SELECT 'ANNENİN ALKOL KULLANIMI', 4
UNION ALL
SELECT 'GEBEDE ANKSIYETE BOZUKLUĞU ŞÜPHESİ', 40
UNION ALL
SELECT 'GEBEDE ZEKÂ GERILIĞI ŞÜPHESİ', 41
UNION ALL
SELECT 'GEBEDE PSİKOTİK BOZUKLUK (ŞIZOFRENİ, VB.) ŞÜPHESİ', 42
UNION ALL
SELECT 'AİLEDE SİGARA KULLANIMI', 5
UNION ALL
SELECT 'AİLEDE ALKOL KULLANIMI', 6
UNION ALL
SELECT 'İSTENMEYEN GEBELİK/ÇOCUK', 7
UNION ALL
SELECT 'KALABALIK AİLE', 8
UNION ALL
SELECT 'AİLENİN SAĞLIK GÜVENCESİNİN OLMAMASI', 9
UNION ALL
SELECT 'DİĞER', 98


) TBEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER ON TBEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER.ID=USS212.BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER

LEFT JOIN
(
SELECT 'PSIKOLOJIK GELIŞIMI DESTEKLEYICI AKTIVITE YAPIYOR (KITAP/MASAL OKUMA, ŞARKI SÖYLEME, ÇOCUKLA BIRLIKTE ZAMAN GEÇIRME-OYUN OYNAMA-KONUŞMA, ZAMAN AYIRMA VB)' AS AD, 8 AS ID
UNION ALL
SELECT 'PSIKOLOJIK GELIŞIMI DESTEKLEYICI AKTIVITE YAPMIYOR', 9
) TEBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI ON TEBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI.ID = USS212.EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI

LEFT JOIN
(
SELECT 'EĞITIM VERILDI (AILE PLANLAMASI, ANNE/BABA/ÇOCUK İLETIŞIMI, ÇOCUĞA YAKLAŞIM, BESLENME YETERSIZLIĞI, SIGARA/ALKOL KULLANIMININ ZARARLARI, SOSYAL DESTEK ALINABILECEK KURULUŞLAR VB. KONULARINDA)' AD, 6 AS ID
UNION ALL
SELECT 'EĞITIM VERILMEDI', 7
) TBEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER ON TBEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER.ID = USS212.BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER

LEFT JOIN
(
SELECT 'IKINCI BASAMAK SAĞLIK KURUMUNA YÖNLENDIRILDI' AD, 10 AS ID
UNION ALL
SELECT 'MILLI EĞITIM MÜDÜRLÜĞÜ REHBERLIK ARAŞTIRMA MERKEZI''NE 0-36 AYLIK GELIŞIMSEL RISK ALTINDAKI ÇOCUKLAR AILE EĞITIM PROGRAMI''NA KATILMASI IÇIN YÖNLENDIRILDI.', 11
UNION ALL
SELECT 'ASPB? YE BILDIRILDI', 12
UNION ALL
SELECT 'SIK IZLEME ALINDI', 6
UNION ALL
SELECT 'MÜDAHALEYE GEREK GÖRÜLMEDI', 7
UNION ALL
SELECT 'CUMHURIYET SAVCILIĞI-EMNIYET GÜÇLERINE BILDIRILDI', 8
UNION ALL
SELECT 'RISK FAKTÖRÜ BULUNAMADI', 9
UNION ALL
SELECT 'DİĞER', 98
) TBEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE ON TBEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE.ID = USS212.BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE

LEFT JOIN 
(
SELECT 'ÇOCUĞUN FİZİKSEL MUAYENESİ YAPILDI' AD, 1 AS ID
UNION ALL
SELECT 'ÇOCUĞUN RUHSAL MUAYENESİ YAPILDI', 2
UNION ALL
SELECT 'BESLENME YETERSİZLİĞİ BULGULARI DEĞERLENDİRİLDİ', 3
UNION ALL
SELECT 'ÇOCUĞUN GELİŞİMSEL DURUMU DEĞERLENDİRİLDİ', 4
UNION ALL
SELECT 'ÇOCUĞUN VÜCUDU, İSTİSMAR BELİRTİLERİNE YÖNELİK OLARAK GÖZLENDİ', 5
UNION ALL
SELECT 'ANNENİN MUAYENESİ YAPILDI', 6
UNION ALL
SELECT 'BABANIN MUAYENESİ YAPILDI', 7
UNION ALL
SELECT 'GEREKLİ DANIŞMANLIKLAR VERİLDİ', 8
UNION ALL
SELECT 'DİĞER', 98

) TBEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI ON TBEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI.ID = USS212.BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI
			  	WHERE USS212.HMUAYENEID= @HMUAYENEID AND USS212.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine kayIT yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USSDIGER_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USSDIGER_ID FROM #TMPUSSDIGER WHERE  ISNULL(USSDIGER_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '


					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USSDIGER_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(
									
										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '212' AS 'messageType/@code',
										   'Bebek / Cocuk Psikososyal Izlem Veri Seti' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 --'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														   SELECT 
															  (
																 SELECT 

																		'1' AS 'GELISIM_TABLOSU_BILGILERININ_SORGULANMASI/@version',
																		'b0f8712e-a51b-427a-a554-a21574abb07b' AS 'GELISIM_TABLOSU_BILGILERININ_SORGULANMASI/@codeSystemGuid',
																		ISNULL(GELISIM_TABLOSU_BILGILERININ_SORGULANMASI_ID,'')AS 'GELISIM_TABLOSU_BILGILERININ_SORGULANMASI/@code',
																		ISNULL(GELISIM_TABLOSU_BILGILERININ_SORGULANMASI_ADI,'') AS 'GELISIM_TABLOSU_BILGILERININ_SORGULANMASI/@value',

																	
																		'1' AS 'BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER/@version',
																		'c81e3e71-8c22-4363-af86-3b687c91b063' AS 'BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER/@codeSystemGuid',
																		ISNULL(BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER_ID,'')AS 'BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER/@code',
																		ISNULL(BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER_ADI,'') AS 'BEBEGIN_COCUGUN_BEYIN_GELISIMINI_ETKILEYEBILECEK_RISKLER/@value',

																
																		'1' AS 'EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI/@version',
																		'3e30ff47-ed6f-425c-b099-5a4a8121fa10' AS 'EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI/@codeSystemGuid',
																		ISNULL(EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI_ID,'')AS 'EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI/@code',
																		ISNULL(EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI_ADI,'') AS 'EBEVEYNIN_PSIKOLOJIK_GELISIMI_DESTEKLEYICI_AKTIVITELERI/@value',

																		
																		'1' AS 'BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER/@version',
																		'58078833-09f4-4046-883e-81777a548af0' AS 'BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER/@codeSystemGuid',
																		ISNULL(BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER_ID,'')AS 'BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER/@code',
																		ISNULL(BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER_ADI,'') AS 'BEBEGIN_COCUGUN_PSIKOLOJIK_GELISIMINDEKI_RISKLERE_YONELIK_EGITIMLER/@value',


                                                                        '1' AS 'BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE/@version',
																		'27f5f375-1755-4d5b-ba13-0b0f6817bfa5' AS 'BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE/@codeSystemGuid',
																		ISNULL(BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE_ID,'')AS 'BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE/@code',
																		ISNULL(BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE_ADI,'') AS 'BEBEGIN_COCUGUN_RISK_FAKTORLERINE_YAPILAN_MUDAHALE/@value',

																		--BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI version="1" codeSystemGuid="9d81738b-2e2d-4251-b397-34dfb014dc9b"

																		'1' AS 'BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI/@version',
																		'9d81738b-2e2d-4251-b397-34dfb014dc9b' AS 'BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI/@codeSystemGuid',
																		ISNULL(BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI_ID,'')AS 'BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI/@code',
																		ISNULL(BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI_ADI,'') AS 'BEBEK_COCUKTA_SIK_IZLEME_ALINAN_RISK_ALTINDAKI_OLGUNUN_TAKIBI/@value'

																		

																		
																FROM #TMPUSSDIGER
																
																FOR XML PATH(''),TYPE
															)
														FOR XML PATH('BEBEK_COCUK_IZLEM_PSIKOSOSYAL_IZLEM'),TYPE
													),					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPUSSDIGER WITH(NOLOCK)
										   WHERE USSDIGER_ID = @CURUSSDIGERID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
